﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.Common;
using System.Data;
using Csla;
using System.Data.SqlClient;




namespace JMDCMS.BusinessObjects
{
    public class JmdUser : JMDCMS.BusinessObjects.JmdUserBase<JmdUser>
    {

        #region Exists

        public static bool Exists(string siteURL, string userName)
        {
            bool exists = false;

            using (SqlConnection cn = new SqlConnection(Database.JMDCMSConnection))
            {
                cn.Open();
                using (SqlCommand cm = cn.CreateCommand())
                {
                    cm.CommandType = CommandType.StoredProcedure;
                    cm.CommandText = "JMD_SITE_EXISTS_BY_NAME";
                    cm.Parameters.AddWithValue("@Site_URL", siteURL);
                    cm.Parameters.AddWithValue("@User_Name", userName);

                    using (SqlDataAdapter da = new SqlDataAdapter(cm))
                    {
                        using (DataTable dt = new DataTable())
                        {
                            da.Fill(dt);
                            if (dt.Rows[0][0].ToString() != "0")
                            {
                                exists = true;
                            }
                        }
                    }
                }
            }
            return exists;

            //Database db = DatabaseFactory.CreateDatabase();

            //string sqlCommand = "JMD_USER_EXISTS_BY_NAME ";

            //using (DbCommand dbCommand = db.GetStoredProcCommand(sqlCommand))
            //{
            //    db.AddInParameter(dbCommand, "Site_URL", DbType.String, siteURL);
            //    db.AddInParameter(dbCommand, "User_Name", DbType.String, userName);
            //    DataSet ds =  db.ExecuteDataSet(dbCommand);
            //    if ( ds.Tables[0].Rows[0][0].ToString() == "0" )
            //    {
            //        return false;
            //    }
            //    else
            //    {
            //        return false;
            //    }
            //}
        }

        #endregion
    }
}