using System;
using System.Data;
using System.Data.SqlClient;
using Csla;
using Csla.Data;
using System.Data.Common;

namespace JMDCMS.BusinessObjects.WebHost
{
    [Serializable()]
    public class WebHostOSTypeList : Csla.ReadOnlyListBase<WebHostOSTypeList, WebHostOSTypeInfo>
    {

        #region Authorization Rules

        public static bool CanGetObject()
        {
            //TODO: Define CanGetObject permission in WebHostOSTypeList
            return true;
            //if (Csla.ApplicationContext.User.IsInRole("WebHostOSTypeListViewGroup"))
            //	return true;
            //return false;
        }
        #endregion //Authorization Rules

        #region Factory Methods
        private WebHostOSTypeList()
        { /* require use of factory method */ }

        public static WebHostOSTypeList GetWebHostOSTypeList()
        {
            if (!CanGetObject())
                throw new System.Security.SecurityException("User not authorized to view a WebHostOSTypeList");
            return DataPortal.Fetch<WebHostOSTypeList>(new FilterCriteria());
        }
        #endregion //Factory Methods

        #region Data Access

        #region Filter Criteria
        [Serializable()]
        private class FilterCriteria
        {

            public FilterCriteria()
            {

            }
        }
        #endregion //Filter Criteria

        #region Data Access - Fetch

        [Transactional(TransactionalTypes.TransactionScope)]
        private void DataPortal_Fetch(FilterCriteria criteria)
        {
            //RaiseListChangedEvents = false;
            //IsReadOnly = false;

            //Database db = DatabaseFactory.CreateDatabase();

            //string sqlCommand = "JMD_MOD_WEBHOST_OS_TYPE_SelectAll";

            //using (DbCommand dbCommand = db.GetStoredProcCommand(sqlCommand))
            //{
            //    //db.ExecuteNonQuery(dbCommand);
            //    using (SafeDataReader dr = new SafeDataReader(db.ExecuteReader(dbCommand)))
            //    {
            //        while (dr.Read())
            //        {
            //            this.Add(new WebHostOSTypeInfo(dr));
            //        }
            //    }

            //}

            //IsReadOnly = true;
            //RaiseListChangedEvents = true;
        }

        private void ExecuteFetch(SqlConnection cn, FilterCriteria criteria)
        {
            //using (SqlCommand cm = cn.CreateCommand())
            //{
            //    cm.CommandType = CommandType.StoredProcedure;
            //    cm.CommandText = "GetWebHostOSTypeList";


            //    using (SafeDataReader dr = new SafeDataReader(cm.ExecuteReader()))
            //    {
            //        while (dr.Read())
            //            this.Add(WebHostOSTypeInfo.GetWebHostOSTypeInfo(dr));
            //    }
            //}//using
        }

        #endregion //Data Access - Fetch

        #endregion //Data Access
    }
}


