Drop procedure [dbo].[JMD_COL_EXT_SAVE]
GO
Create procedure [dbo].[JMD_COL_EXT_SAVE]
  @JMD_COL_EXT_ID INT ,
  @JMD_COL_ID INT,
  @COL_EXT_DATA TEXT
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
  if not exists ( Select * from JMD_COL_EXT where Id = @JMD_COL_EXT_ID )
  begin
    insert into JMD_COL_EXT 
    (
      JMD_COL_ID, COL_EXT_DATA
    )
    values
    (
      @JMD_COL_ID, @COL_EXT_DATA
    )
  end
  else
  begin
    Update
      JMD_COL_EXT
    Set
      COL_EXT_DATA = @COL_EXT_DATA
    Where
      JMD_COL_ID = @JMD_COL_ID
  end 
GO