DROP PROCEDURE [dbo].[JMD_COL_SELECT_COLUMNS]
GO
CREATE PROCEDURE [dbo].[JMD_COL_SELECT_COLUMNS]
  @JMD_OBJ_ID INT
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Select
    a.*, b.Obj_Name, b.Obj_Desc
  From
    JMD_COL_SELECT a
  Inner Join
    JMD_OBJ b On a.jmd_Obj_Id = b.Id
  Where
    JMD_OBJ_ID = @JMD_OBJ_ID
GO    