DROP PROCEDURE [dbo].[JMD_COL_TYPE_INIT]
GO
/*
JMD_COL_TYPE_SAVE
  @JMD_COL_TYPE_ID INT ,
  @SITE_URL NVARCHAR(255),
  @COL_TYPE NVARCHAR(50),
  @COL_DATA_TYPE NVARCHAR(50)

Exec JMD_COL_TYPE_INIT 'JMDCMS.Web'
select * from JMD_COL_TYPE
delete jmd_col

SP_TABLES
SELECT * FROM JMD_29_VEH
As
*/
CREATE PROCEDURE [dbo].[JMD_COL_TYPE_INIT]
  @SITE_URL NVARCHAR(255)
AS

/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Delete JMD_COL_TYPE

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'SingleLine', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'MultiLine', 'Text'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'RadioButton', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'ComboBox', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'ListBox', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'Lookup', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'CheckBox', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'CheckBoxList', 'nvarchar(100)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'Money', 'nvarchar(30)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'Number', 'nvarchar(30)'

  Exec JMD_COL_TYPE_SAVE
    '0', @SITE_URL, 'DateTime', 'DateTime'

GO
