DROP PROCEDURE [dbo].[JMD_COL_TYPE_SELECT]
GO
/*
  Select * from jmd_col_type
*/
CREATE PROCEDURE [dbo].[JMD_COL_TYPE_SELECT]
  @SITE_URL nvarchar(255)
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL) 

  Select
    * 
  From
    JMD_COL_TYPE
  Where
    Site_Id = @Site_Id
  Order By Col_Type
GO