DROP PROCEDURE [dbo].[JMD_DIV_INIT]
GO
/*
Exec JMD_DIV_INIT
  'JMDCMS.Web'
select * from jmd_div
*/
CREATE PROCEDURE [dbo].[JMD_DIV_INIT]
  @SITE_URL nvarchar(255)
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Top', 100, Null, 1
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Header', 200, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'MainMenu', 300, Null, 1
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'SubHeader', 400, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Left', 500, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Right', 600, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Center', 700, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'Footer', 800, Null, 0
  Execute
    JMD_DIV_SAVE 0, @Site_URL, 'PoweredBy', 900, Null, 1
GO