DROP PROCEDURE [dbo].[JMD_MOD_HTML_Select]
GO 
/*****************************************************************************
  NAME: JMD_MOD_HTML
  PURPOSE: HTML Module
EXEC JMD_MOD_HTML_Select 7

*****************************************************************************/
CREATE PROCEDURE [dbo].[JMD_MOD_HTML_Select]
  @Page_Mod_Id Int,
  @Site_URL nvarchar(255) = null
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id int,
    @Site_CSS nvarchar(max)
    	
  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  Select
	@Site_CSS = site_css
  From
    JMD_SITE
  where
    ID = @Site_Id
  
  Select
    Title, HTML_Text, Site_CSS = @Site_CSS
  From
    JMD_MOD_HTML        
  Where
    Page_Mod_Id = @Page_Mod_Id
GO