/****** Object:  StoredProcedure [dbo].[JMD_PAGE_AUTH]    Script Date: 02/25/2007 22:17:39 ******/
DROP PROCEDURE [dbo].[JMD_PAGE_AUTH]
GO
/*****************************************************************************
  NAME: JMD_PAGE_AUTH
  PURPOSE: 
Select * from JMD_PAGE
Exec JMD_PAGE_AUTH 'JMDCMS.Web','Default'
*****************************************************************************/
CREATE PROCEDURE [dbo].[JMD_PAGE_AUTH]
  @Site_URL nvarchar(255),
  @Page_Name nvarchar(255)

As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  -- AUTHENTICATION OF USER
  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  
  
  Select
    View_Roles, Add_Roles, Edit_Roles, 
    Delete_Roles, Move_Roles, Add_Module_Roles
  From
    JMD_PAGE
  Where
    Site_Id = @Site_Id and
    Page_Name = @Page_Name and
    Is_Published = 1 and
    Is_Deleted = 0
GO  