DROP PROCEDURE [dbo].[JMD_ROLE_SELECT]
GO
CREATE PROCEDURE [dbo].[JMD_ROLE_SELECT]
  @Site_URL nvarchar(255),
  @Role_Id int = null
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id Int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  if ( Coalesce(@Role_Id,0) = 0)
  begin
    Select
       *
    From
      JMD_ROLE
    Where
      Site_Id = @Site_Id
    Order By
      ROLE_Name
  end
  else
  begin
    Select
       *
    From
      JMD_ROLE
    Where
      Site_Id = @Site_Id and
      Id = @Role_Id
  end
GO