DROP PROCEDURE dbo.JMD_SITE_CREATE_CONTENT_PARENT
GO
CREATE PROCEDURE dbo.JMD_SITE_CREATE_CONTENT_PARENT
  @Site_URL nvarchar(255)

As
/*
	Copyright (C) 2012  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
  Declare
    @Site_Id Int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

SET XACT_ABORT on
BEGIN TRANSACTION

EXEC JMD_SITE_CREATE_CONTENT @Site_Id, 'Home1','Default'
EXEC JMD_SITE_CREATE_CONTENT @Site_Id, 'Services','Services'
EXEC JMD_SITE_CREATE_CONTENT @Site_Id, 'portfolio','portfolio'
EXEC JMD_SITE_CREATE_CONTENT @Site_Id, 'About','About'
EXEC JMD_SITE_CREATE_CONTENT @Site_Id, 'Contact','Contact'

COMMIT
GO