DROP PROCEDURE [dbo].[JMD_SITE_DELETE]
GO

CREATE PROCEDURE [dbo].[JMD_SITE_DELETE]
  @Site_URL nvarchar(255)
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  Delete jmd_page_mod where page_id in 
    ( Select id from jmd_page where site_id = @Site_Id )

 Delete JMD_PAGE_MOD_EXCLUDE where page_id in 
    ( Select id from jmd_page where site_id = @Site_Id )

  Delete jmd_page where site_id = @Site_Id
  Delete jmd_user_role where [user_id] in 
    ( Select id from jmd_user where site_id = @Site_Id )
  Delete jmd_user where site_id = @Site_Id
  Delete jmd_role where site_id = @Site_Id
  Delete jmd_div where site_id = @Site_Id

  Delete jmd_mod where site_id = @Site_Id
  Delete jmd_site where id = @Site_Id
GO