Drop procedure DBO.JMD_SITE_UPDATE
Go
CREATE PROCEDURE DBO.JMD_SITE_UPDATE
  @Site_URL nvarchar(255),
  @Style_Name nvarchar(255)
AS
/*
	Copyright (C) 2012  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
begin
  Declare
    @Site_Id int,
    @Style_URL nvarchar(max)

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  Select
    @Style_URL = style_url 
  from
    JMD_STYLE
  where
    NAME = @Style_Name
    
  Update
    JMD_SITE
  Set
    [STYLE_SHEET] = @Style_URL
  Where
    Id = @Site_Id
end
GO    
