DROP PROCEDURE [dbo].[JMD_USER_INIT]
GO
CREATE PROCEDURE [dbo].[JMD_USER_INIT]
  @Site_URL nvarchar(255),
  @Password_Hash nvarchar(50),
  @Salt nvarchar(50),
  @Email nvarchar(50),
  @User_Name nvarchar(50) = null  
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

	if ( IsNull(@User_Name,'') <> '')
	begin	
	  Execute
		JMD_USER_SAVE
		  0, @SITE_URL, @User_Name, @User_Name, @Password_Hash, @Salt, 1, @Email
	end
	else
	begin
	  Execute
		JMD_USER_SAVE
		  0, @SITE_URL, 'Admin', 'Admin', @Password_Hash, @Salt, 1, @Email

	end
GO