DROP PROCEDURE [dbo].[JMD_USER_ROLE_SAVE]
GO
CREATE PROCEDURE [dbo].[JMD_USER_ROLE_SAVE]
  @User_Id int,
  @Roles nvarchar(1000)
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
  if not exists ( Select * From JMD_USER_ROLE where [user_id] = @User_Id)
  begin
    Insert into JMD_USER_ROLE
    (
      [User_Id], Roles
    )
    values
    (
      @User_Id, @Roles
    )
  end
  else
  begin
    Update
      JMD_USER_ROLE
    Set
      Roles = @Roles
    Where
      [User_Id] = @User_Id
  end
GO