
<%@ Application Language="C#" %>


 
<script runat="server">
    //	Copyright (C) 2007  Ajay Handa - jmdcms.com 
    //	This program is free software; 
    //	This program is distributed in the hope that it will be useful,
    //	but WITHOUT ANY WARRANTY; without even the implied warranty of
    //	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    //	License for more details.
    //	Some rights reserved. Please read License.txt for details.
    //	Removing above copyright message is a violation of license terms.

    
    void Application_Start(object sender, EventArgs e) 
    {
        // Code that runs on application startup

    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs
    }

    protected void Application_BeginRequest(Object sender, EventArgs e)
    {
        if (HttpContext.Current.Request.HttpMethod == "GET")
        {
            bool isAdmin = false;
            HttpContext incoming = HttpContext.Current;
            string oldpath = incoming.Request.Path;
            string[] pageid = oldpath.Split(new char[] { '/', '.' });

            if (pageid[pageid.Length - 1].ToString() == "aspx")
            {

                foreach (string str in pageid)
                {
                    if ((String.Compare(str, "myTest", true) == 0) ||
                        (String.Compare(str, "Modules", true) == 0) ||
                        (String.Compare(str, "fckeditor", true) == 0) ||
                        (String.Compare(str, "CaptchaImage", true) == 0))                                                 
                                           
                    {
                        isAdmin = true;
                        break;
                    }
                }
                if (!isAdmin)
                {
                    string Page_Name = pageid[pageid.Length - 2].ToString();
                    string newpath = Request.ApplicationPath + "/" + "default.aspx?Pg=" + Request.Url.AbsoluteUri.ToString();
                    incoming.RewritePath(newpath);
                }
            }
        }
    }

    void Application_AuthenticateRequest(object sender, EventArgs e)
    {
        // Extract the forms authentication cookie
        string cookieName = FormsAuthentication.FormsCookieName;
        HttpCookie authCookie = Context.Request.Cookies[cookieName];

        if (null == authCookie)
        {
            // There is no authentication cookie.
            return;
        }
        FormsAuthenticationTicket authTicket = null;
        authTicket = FormsAuthentication.Decrypt(authCookie.Value);

        if (null == authTicket)
        {
            // Cookie failed to decrypt.
            return;
        }

        string[] roles = authTicket.UserData.Split(new char[] { ';' });
        // Create an Identity object
        FormsIdentity id = new FormsIdentity(authTicket);

        // This principal will flow throughout the request.
        System.Security.Principal.GenericPrincipal principal = 
            new System.Security.Principal.GenericPrincipal(id, roles);
        // Attach the new principal object to the current HttpContext object
        Context.User = principal;    

    }


    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
