<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddPage.ascx.cs" Inherits="Modules_Admin_AddPage" %>
<!-- Tabs Left -->
<div class="col_12">
<ul class="tabs left">
    <li><a href="#tabr1">Page</a></li>
    <li><a href="#tabr2">Options</a></li>
    <li><a href="#tabr3">SEO</a></li>
    <li><a href="#tabr4">Security</a></li>
</ul>
<div id="tabr1" class="tab-content">
    <table class="TableForm">
        <tr>
            <th class="TableFormTdLeft" colspan="2">
<%--                <h2 class="TableFormH2">
                    <asp:Literal ID="Caption" runat="server"></asp:Literal>
                </h2>
--%>                <asp:Literal ID="ErrorMessage" runat="server"></asp:Literal>
            </th>
        </tr>
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Parent Page</h1>
                <ul>
                    <li><b>Parent Page: </b>This page can be created as a child under the selected parent
                        page.</li>
                    <li><b>Is Root: </b>This page will be created as a root page and be visible with main
                        menu tabs if you check the Root page option. Parent page selection will be ignored
                        in this case. </li>
                </ul>
            </td>
            <td class="TableFormTdRight">Parent Page:
                <br />
                <asp:TextBox ID="Parent_Page_Name" CssClass="TextBoxClass" runat="server" BackColor="Silver"
                    ReadOnly="True"></asp:TextBox><br />
                - OR -<br />
                <asp:CheckBox ID="Is_Root" runat="server" Text="Root Page" CssClass="CheckBoxClass" />
            </td>
        </tr>
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Page Name, Caption and Order</h1>
                <ul>
                    <li><b>Page Name: </b>Specify the page name to be used in the URL.</li>
                    <li><b>Page Caption: </b>Specify the page caption to be used in user interface.&nbsp;
                        <asp:RangeValidator ID="Page_Sort_Validator" runat="server" ControlToValidate="Page_Sort"
                            Display="None" EnableClientScript="False" MaximumValue="1000000" MinimumValue="0"
                            Type="Integer"></asp:RangeValidator></li>
                </ul>
            </td>
            <td class="TableFormTdRight">Name:
                <br />
                <asp:TextBox ID="Page_Name" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
                Caption:
                <br />
                <asp:TextBox ID="Page_Caption" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
                Page Order:<br />
                <asp:TextBox ID="Page_Sort" runat="server" CssClass="TextBoxClass"></asp:TextBox>
            </td>

        </tr>

        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Content Template</h1>
                <ul>
                    <li><b>Content Template: </b>Select content template to kick start your new page.</li>
                </ul>
            </td>
            <td class="TableFormTdRight">Content Template:
                <br />
                <asp:DropDownList ID="ContentTemplateList" runat="server" Width="99%" Height="30px">
                    <asp:ListItem Value="iamvalue">Hello</asp:ListItem>
                </asp:DropDownList><br />

            </td>

        </tr>

    </table>
</div>
<div id="tabr2" class="tab-content">
    <table class="TableForm">
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Page Options</h1>
                <ul>
                    <li><b>Is Published: </b>Only published pages are visible to the users. </li>
                    <li><b>Is Menu Item: </b>When checked, this page will appear in the menu for navigation.
                    </li>
                    <li><b>Load Shared Modules: </b>When not checked, this page will not load show on all
                        pages modules. </li>
                    <li><b>Is ViewState Enabled: </b>Generally ViewState should be enabled only for data
                        entry pages.</li>
                </ul>
            </td>
            <td class="TableFormTdRight">
                <br />
                <asp:CheckBox ID="Is_Published" runat="server" Text="Published" Checked="True" CssClass="CheckBoxClass" /><br />
                <asp:CheckBox ID="Is_Menu_Item" runat="server" Text="Menu Item" Checked="True" CssClass="CheckBoxClass" /><br />
                <asp:CheckBox ID="Load_Shared_Modules" runat="server" Text="Load Shared Modules"
                    CssClass="CheckBoxClass" Checked="True" /><br />
                <asp:CheckBox ID="Is_ViewState_Enabled" runat="server" Text="Enable ViewState" Checked="False"
                    CssClass="CheckBoxClass" /><br />
            </td>
        </tr>
    </table>
</div>
<div id="tabr3" class="tab-content">
    <table class="TableForm">
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Meta Information</h1>
                <ul>
                    <li><b>Meta Title: </b>This will appear on the title bar of your explorer windows. This
                        will be used by search engine robots also. </li>
                    <li><b>Meta Description: </b>Summary description of the contents of the pages. Should
                        be less than 255 characters. This will be used by search engine robots.</li>
                    <li><b>Meta Keywords: </b>Important keywords that identifies this page. This will be
                        used by search engine robots. </li>
                </ul>
            </td>
            <td class="TableFormTdRight">Meta Title:
                <br />
                <asp:TextBox ID="Meta_Title" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
                Meta Description:
                <br />
                <asp:TextBox ID="Meta_Desc" CssClass="TextBoxClass" Height="50px" runat="server"
                    TextMode="MultiLine"></asp:TextBox><br />
                Meta Keywords:
                <br />
                <asp:TextBox ID="Meta_Keywords" CssClass="TextBoxClass" Height="50px" runat="server"
                    TextMode="MultiLine"></asp:TextBox><br />
            </td>
        </tr>
    </table>
</div>
<div id="tabr4" class="tab-content">
    <table class="TableForm">
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Page Security</h1>
                <ul>
                    <li><b>View Role(s): </b>Only users with granted view roles will be able to see this
                        page. </li>
                    <li><b>Add Role(s): </b>Only users with granted add roles will be able to add pages
                        under this page. </li>
                    <li><b>Edit Role(s): </b>Only users with granted edit roles will be able to edit this
                        page. </li>
                    <li><b>Delete Role(s): </b>Only users with granted delete roles will be able to delete
                        this page. </li>
                    <li><b>Move Role(s): </b>Only users with granted move roles will be able to move this
                        page. </li>
                    <li><b>Add Module Role(s): </b>Only users with granted add module roles will be able
                        add modules to this page. </li>
                </ul>
            </td>
            <td class="TableFormTdRight">View Role(s):
                <br />
                <asp:CheckBoxList ID="View_Roles" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                </asp:CheckBoxList>
                <br />
                <br />
                Add Role(s):
                <br />
                <asp:CheckBoxList ID="Add_Roles" runat="server" RepeatLayout="Flow" Width="96%" BorderStyle="Outset"
                    BorderWidth="1px">
                </asp:CheckBoxList>
                <br />
                <br />
                Edit Role(s):
                <br />
                <asp:CheckBoxList ID="Edit_Roles" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Edit</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Delete Role(s):
                <br />
                <asp:CheckBoxList ID="Delete_Roles" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Delete</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Move Role(s):
                <br />
                <asp:CheckBoxList ID="Move_Roles" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Move</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Can Add Modules Role(s):
                <br />
                <asp:CheckBoxList ID="Add_Module_Roles" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Edit Content</asp:ListItem>
                </asp:CheckBoxList>
            </td>
        </tr>
    </table>
</div>
<table class="TableForm">
    <tr>
        <td class="TableFormAction" colspan="2">
            <asp:Button ID="Button1" runat="server" CssClass="ButtonClass" Text="Save" Width="124px"
                OnClick="Button1_Click" />
            <asp:Button ID="Button2" runat="server" CssClass="ButtonClass" Text="Cancel" Width="124px"
                OnClick="Button2_Click" />
        </td>
    </tr>
</table>
</div>
<div class="clear"></div>
<asp:HiddenField ID="Page_Id" runat="server" Value="0" />
