﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Drawing;
using System.Drawing.Imaging;
using System.Data.Common;
using System.Data;



public partial class Modules_Admin_Install : System.Web.UI.UserControl
{
    private Random random = new Random();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            btnPrev.Visible = false;
            this.Session["CaptchaImageText"] = GenerateRandomCode();
            Image1.ImageUrl = "~/CaptchaImage.aspx";
            
        }
    }

    protected void btnNext_Click(object sender, EventArgs e)
    {

        if (Page.IsValid)
        {

            if (btnNext.Text == "Finish")
            {
                Save();
            }
            else
            {
                Navigate(1);
            }
        }
    }

    private string GenerateRandomCode()
    {
        string s = "";
        for (int i = 0; i < 6; i++)
            s = String.Concat(s, this.random.Next(10).ToString());
        return s;
    }

    private void Navigate(int step)
    {
        //if ((mvMain.ActiveViewIndex >= 0) &&
        //    (mvMain.ActiveViewIndex <= 2))
        //{
        //    mvMain.ActiveViewIndex = mvMain.ActiveViewIndex + step;
        //    Panel1.Focus();
        //}

        //if ((mvMain.ActiveViewIndex > 0) &&
        //    (mvMain.ActiveViewIndex <= 2))
        //{
        //    btnPrev.Visible = true;
        //}
        //else
        //{
        //    btnPrev.Visible = false;
        //}

        //if (mvMain.ActiveViewIndex == 2)
        //{
        //    this.Session["CaptchaImageText"] = GenerateRandomCode();
        //    btnNext.Text = "Finish";
        //}
        //else
        //{
        //    btnNext.Text = "Next >";
        //}

    }

    private void SetCaptchaImage()
    {
        //JMDCMS.BusinessObjects.CaptchaImage ci =
        //    new JMDCMS.BusinessObjects.CaptchaImage(this.Session["CaptchaImageText"].ToString(), 200, 50, "Century Schoolbook");

        //// Change the response headers to output a JPEG image.
        //this.Response.Clear();
        //this.Response.ContentType = "image/jpeg";

        //// Write the image to the response stream in JPEG format.
        //ci.Image.Save(this.Response.OutputStream, ImageFormat.Jpeg);
       
        //// Dispose of the CAPTCHA image object.
        //ci.Dispose();

    }

    protected void btnPrev_Click(object sender, EventArgs e)
    {
        Navigate(-1);
    }

    #region Business Methods

    private void Save()
    {
        //string passwordSalt = Util.CreateSalt(5);
        //string passwordHash = Util.CreatePasswordHash(hiddenPassword.Value, passwordSalt);

        //JMDCMS.BusinessObjects.JmdSite jmdSite = new JMDCMS.BusinessObjects.JmdSite();
        //jmdSite.SiteUrl = string.Format("{0}.{1}", txtSiteURL.Text, ddlSitesList.Text);
        //jmdSite.Email = txtEmail.Text;
        //jmdSite.StyleSheet = cmbTemplates.Text;
        //jmdSite.UserName = txtName.Text;
        //jmdSite.PasswordHash = passwordHash;
        //jmdSite.Salt = passwordSalt;

        //DataTable Dt = jmdSite.SaveLegacy();
        //Response.Redirect(string.Format("http://{0}",jmdSite.SiteUrl));
    }

    #endregion

    #region Custom Validators

    protected void CustomValidator1_ServerValidate(object source, ServerValidateEventArgs args)
    {
        // Login check validator
        args.IsValid = true;
    }
    protected void CustomValidator2_ServerValidate(object source, ServerValidateEventArgs args)
    {
        args.IsValid = true;
        if (string.Compare(txtPassword.Text, txtPasswordConfirm.Text) != 0)
        {
            args.IsValid = false;
        }
        else
        {
            hiddenPassword.Value = txtPassword.Text;
        }
    }
    protected void CustomValidator3_ServerValidate(object source, ServerValidateEventArgs args)
    {
        //// Instant Site URL
        //args.IsValid = true;

        ////// Debug Check Exists
        ////if (checkExists())
        ////{
        ////    args.IsValid = false;
        ////}

        //if (JMDCMS.BusinessObjects.JmdSite.Exists(string.Format("{0}.{1}",
        //    txtSiteURL.Text, ddlSitesList.Text)))
        //{
        //    args.IsValid = false;
        //}
        
    }

    
    protected void CustomValidator4_ServerValidate(object source, ServerValidateEventArgs args)
    {
        // CAPTCHA 
        args.IsValid = true;
        if (txtCaptcha.Text != this.Session["CaptchaImageText"].ToString())
        {
            this.Session["CaptchaImageText"] = GenerateRandomCode();            
            args.IsValid = false;
        }
    }



    #endregion
}
