/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;
using System.Text;


public partial class Modules_Admin_Users : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        BrowseUsers();
    }
    public void BrowseUsers()
    {
         
        DataTable dt;
        StringBuilder sb = new StringBuilder();
        dt = SqlServer.JMD_USER_SELECT(Util.SiteURL(Request.QueryString["Pg"].ToString()));

        sb.AppendFormat("<a href=\"{0}\">{1}</a>",
            "NewUser.aspx", "Add New User <br />").AppendLine();

        sb.AppendFormat("<Table class=\"Browse\">").AppendLine();
        sb.AppendFormat("<Tr>").AppendLine();

        sb.AppendFormat("<Th>{0}", "User Name").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Display Name").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Email").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Actions").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("</Tr>").AppendLine();

        foreach (DataRow dr in dt.Rows)
        {
            sb.AppendFormat("<Tr>").AppendLine();

            sb.AppendFormat("<Td>{0}</Td> ", 
                dr["USER_NAME"].ToString()).AppendLine();

            sb.AppendFormat("<Td>{0}</Td> ", 
                dr["USER_DISPLAY_NAME"].ToString()).AppendLine();

            sb.AppendFormat("<Td>{0}</Td> ",
                dr["EMAIL"].ToString()).AppendLine();

            sb.AppendFormat("<Td>").AppendLine();
            if (dr["USER_NAME"].ToString() != "Admin")
            {
                sb.AppendFormat("<a href=\"UserRoles.aspx?User_Id={0}\"><img src=\"Images/JMDCMS/Roles-16.png\" alt=\"User Roles\" /></a>",
                    dr["ID"].ToString()).AppendLine();
                sb.AppendFormat("<a href=\"NewUser.aspx?User_Id={0}\"><img src=\"Images/JMDCMS/pencil-wi0062-16.png\" alt=\"Edit\" /></a>",
                    dr["ID"].ToString()).AppendLine();
                sb.AppendFormat("<a href=\"DeleteUser.aspx?User_Id={0}\"><img src=\"Images/JMDCMS/del-16.png\" alt=\"Delete\" /></a>",
                    dr["ID"].ToString()).AppendLine();
            }
            else
            {
                sb.AppendFormat("<a href=\"NewUser.aspx?User_Id={0}\"><img src=\"Images/JMDCMS/pencil-wi0062-16.png\" alt=\"Edit\" /></a>",
                    dr["ID"].ToString()).AppendLine();
            }

            sb.AppendFormat("</Td>");

            sb.AppendFormat("</Tr>").AppendLine();

        }
        sb.AppendFormat("</Table>").AppendLine();
        Literal1.Text = sb.ToString();
        dt.Dispose();

    }
    
    public void UserRoles()
    {
        string PageParams = Util.PageParams(Request.QueryString["Pg"].ToString());
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            
            string Actions = ParamParts[0].Split(new char[] { '=' })[1].ToString();
            /* USER ROLES */
            if (Actions == "UserRoles")
            {
                if (PageParams.Length > 1)
                {
                    /* USER_ID */

                }
            }
        }
    }
}
