/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;

public partial class Modules_Forms_NewForm : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            InitPage(Request.QueryString["Pg"].ToString());
        }
    }
    private void InitPage(string URI)
    {
        string PageParams = Util.PageParams(URI);
        JMD_OBJ_ID.Value = "0";
        if (string.Compare(PageParams, String.Empty) != 0)
        {
             
            DataTable dt;
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            JMD_OBJ_ID.Value = ParamParts[0].Split(new char[] { '=' })[1].ToString();

            if (ParamParts.Length > 1)
            {
            }

            dt = SqlServer.JMD_OBJ_SELECT(JMD_OBJ_ID.Value);
            if (dt.Rows.Count > 0)
            {
                Obj_Name.Text = dt.Rows[0]["OBJ_NAME"].ToString();
                Obj_Desc.Text = dt.Rows[0]["OBJ_DESC"].ToString();
            }
        }
    }
    
    private void Save()
    {
         
        SqlServer.JMD_OBJ_SAVE(JMD_OBJ_ID.Value,
            Util.SiteURL(Request.QueryString["Pg"].ToString()),
            Obj_Name.Text.Replace("'", "''"), "1", Obj_Desc.Text, "0", "1");
        Response.Redirect("BrowseForms.aspx");
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Save();
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("BrowseForms.aspx");
    }
}
