/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;
using System.Net;
using CodeKicker.BBCode;
using System.IO;
using System.Text;

public partial class Modules_JMDHTML_JMDHTMLEditContents : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            InitPage();
            GetCookies();
        }
    }
    private void InitPage()
    {

        //CKEditorControl1.config.toolbar = new object[]
        //    {
        //        new object[] { "Bold", "Italic", "Underline", "Strike", "-", "Subscript", "Superscript" },
        //        new object[] { "NumberedList", "BulletedList", "-", "Outdent", "Indent", "Blockquote", "CreateDiv" },
        //        new object[] { "JustifyLeft", "JustifyCenter", "JustifyRight", "JustifyBlock" },
        //        new object[] { "Link", "Unlink", "Anchor" },
        //        new object[] { "Maximize", "ShowBlocks", "Source" },                
        //        "/",
        //        new object[] { "Styles", "Format", "Font", "FontSize", "TextColor", "BGColor" },
        //        new object[] { "Image", "Flash", "Table", "HorizontalRule", "Smiley", "SpecialChar", "PageBreak", "Iframe" }


        //    };
        //FCKeditor1.ID = "FCKeditor1";
        //FCKeditor1.UseBROnCarriageReturn = true;
        //FCKeditor1.FormatSource = false;

        //Html_Text.ID = "Html_Text";

        string Site_URL = Util.SiteURL(Request.QueryString["Pg"].ToString());
        string PageParams = Util.PageParams(Request.QueryString["Pg"].ToString());
        string PageModId = string.Empty;
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            PageModId = ParamParts[0].Split(new char[] { '=' })[1].ToString();
        }

        DataTable dt;
        dt = SqlServer.JMD_MOD_HTML_Select(PageModId, Site_URL);

        if (dt.Rows.Count > 0)
        {
            
            //Literal1.Text = String.Format("<Div id=\"{0}\">", DivMod[0].ToString());
            
            //Editor1.Content += Server.HtmlDecode(dt.Rows[0]["HTML_TEXT"].ToString().Replace("&#39;", "'"));
           
            //Literal1.Text += "</Div>";
            //FCKeditor1.Value = Server.HtmlDecode(dt.Rows[0]["HTML_TEXT"].ToString().Replace("&#39;", "'"));

            string[] temp = File.ReadAllLines(Server.MapPath("~/UserFiles/Style/JMDCMS/jmdcmsbase.css"));


            Editor1.Text = dt.Rows[0]["HTML_TEXT"].ToString().Replace("&#39;", "'");
            Editor_CSS.Text = dt.Rows[0]["SITE_CSS"].ToString();
                
             // /UserFiles/Style/JMDCMS/jmdcmsbase.css
            baseCSSContent.Text = ConvertStringArrayToString(temp);
        }
        
        dt.Dispose();

    }

    static string ConvertStringArrayToString(string[] array)
    {
        //
        // Concatenate all the elements into a StringBuilder.
        //
        StringBuilder builder = new StringBuilder();
        builder.AppendLine("<pre>");
        foreach (string value in array)
        {
            builder.Append(value).Append("<br />");
            
        }
        builder.AppendLine("</pre>");
        return builder.ToString();
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        //if (rbEditorSelection.SelectedIndex == 0)
        //{
        //    Html_Text.Text = FCKeditor1.Value;
        //}
        //else
        //{
        //    FCKeditor1.Value = Html_Text.Text;
        //}

        //Html_Text.Text = FCKeditor1.Value;

        string Site_URL = Util.SiteURL(Request.QueryString["Pg"].ToString());
        string PageParams = Util.PageParams(Request.QueryString["Pg"].ToString());
        string PageModId = string.Empty;
        string Page_Name = string.Empty;
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            PageModId = ParamParts[0].Split(new char[] { '=' })[1].ToString();
            Page_Name = ParamParts[1].Split(new char[] { '=' })[1].ToString();
        }

        SqlServer.JMD_MOD_HTML_SAVE(PageModId, string.Empty, Editor1.Text.Replace("'","&#39;"), Site_URL, Editor_CSS.Text);


        //Server.HtmlEncode(Reviews.Text).Replace("\r\n", "<br />").Replace("'","&#39;")




        //SqlServer.JMD_MOD_HTML_SAVE(PageModId, string.Empty,
        //    Server.HtmlEncode(Editor1.Content).Replace("'", "&#39;"));


        Response.Redirect(string.Format("{0}.aspx", Page_Name));
    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        string PageParams = Util.PageParams(Request.QueryString["Pg"].ToString());
        string PageModId = string.Empty;
        string Page_Name = string.Empty;
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            PageModId = ParamParts[0].Split(new char[] { '=' })[1].ToString();
            Page_Name = ParamParts[1].Split(new char[] { '=' })[1].ToString();
        }
        Response.Redirect(string.Format("{0}.aspx", Page_Name));
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        string PageParams = Util.PageParams(Request.QueryString["Pg"].ToString());
        string PageModId = string.Empty;
        string Page_Name = string.Empty;
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });
            PageModId = ParamParts[0].Split(new char[] { '=' })[1].ToString();
            Page_Name = ParamParts[1].Split(new char[] { '=' })[1].ToString();
        }
        Response.Redirect(string.Format("{0}.aspx", Page_Name));

    }
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        //if (rbEditorSelection.SelectedIndex == 0)
        //{
        //    MultiView1.SetActiveView(View1);
        //    FCKeditor1.Value = Html_Text.Text;
        //}
        //else if (rbEditorSelection.SelectedIndex == 1)
        //{
        //    Html_Text.Text = FCKeditor1.Value;
        //    MultiView1.SetActiveView(View2);

        //}
        //SetCookies();
    }

    private void SetCookies()
    {
        //HttpCookie cookie = Request.Cookies["HTMLEditor"];

        //if (rbEditorSelection.SelectedIndex == 0)
        //{
        //    if (cookie == null)
        //    {
        //        cookie = new HttpCookie("HTMLEditor", "HTML");
        //        cookie.Expires = DateTime.MaxValue;
        //        Response.AppendCookie(cookie);
        //    }
        //    else
        //    {
        //        cookie.Value = "HTML";
        //        cookie.Expires = DateTime.MaxValue;
        //        Response.AppendCookie(cookie);

        //    }
        //}
        //else
        //{
        //    if (cookie == null)
        //    {
        //        cookie = new HttpCookie("HTMLEditor");
        //        cookie.Expires = DateTime.MaxValue;
        //        Response.AppendCookie(cookie);
        //    }
        //    else
        //    {
        //        cookie.Value = "TEXT";
        //        cookie.Expires = DateTime.MaxValue;
        //        Response.AppendCookie(cookie);
        //    }
        //}
    }

    private void GetCookies()
    {
        //HttpCookie cookie = Request.Cookies["HTMLEditor"];

        //if (cookie == null)
        //{
        //    SetCookies();
        //}
        //else
        //{
        //    if (cookie.Value == "HTML")
        //    {
        //        rbEditorSelection.SelectedIndex = 0;
        //        MultiView1.SetActiveView(View1);
        //    }
        //    else
        //    {
        //        rbEditorSelection.SelectedIndex = 1;
        //        MultiView1.SetActiveView(View2);
        //    }
        //}
        
    }

}
