/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
using System.Security.Principal;
using JMDCMS.Web.Lib;

public partial class Modules_JMDHTML_JMDHTMLMenuLeft : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        LeftMenu(Request.QueryString["Pg"].ToString());
    }
    public void LeftMenu(String URI)
    {
         

        //Util util = new Util();
        StringBuilder sb = new StringBuilder();
        IPrincipal p = HttpContext.Current.User;
        string[] PageRoles;
        DataSet ds;
        string Legends = string.Empty;

        ds = SqlServer.JMD_MOD_HTML_LEFT_MENU(Util.SiteURL(URI), Util.PageName(URI));

        if (ds.Tables.Count > 0)
        {

            string[] DivMod = this.ID.Split(new char[] { '_' });
            /*
            sb.AppendFormat("<Div class=\"{0}\">", "LeftSide01").AppendLine();
            sb.AppendFormat("<h1>{0}</h1>", DivMod[2].ToString()).AppendLine();
            */
            //sb.AppendFormat("<Table class=\"LeftBox\">").AppendLine();
            /*
            sb.AppendFormat("<tr>").AppendLine();
            sb.AppendFormat("<th>").AppendLine();
            sb.AppendFormat("{0}", DivMod[2].ToString()).AppendLine();                
            sb.AppendFormat("</th>").AppendLine();
            sb.AppendFormat("</tr>").AppendLine();
             */


            #region Tables[0]
            /* WI: 1436 - Rendering of the menu is changed. Parent or back page are no longer
             *  visible in the menu.
            foreach (DataRow dr in ds.Tables[0].Rows)
            {

                if (String.Compare(dr["PARENT_PAGE_NAME"].ToString(), String.Empty) != 0)
                {
                    PageRoles = dr["View_Roles"].ToString().Split(new char[] { ';' });
                    foreach (string Role in PageRoles)
                    {
                        // handaajay15:WI:783
                        //if (p.IsInRole(Role) || (String.Compare(Role, "Guests", true) == 0))
                        if  ((Role.Trim() != "") &&
                            (
                            (p.IsInRole(Role) ||
                           (!(p.Identity.IsAuthenticated) && String.Compare(Role, "Guests", true) == 0) ||
                            ((p.Identity.IsAuthenticated) && String.Compare(Role, "Registered", true) == 0)
                           )))
                        {
                            sb.AppendFormat("<tr>").AppendLine();
                            sb.AppendFormat("<td>").AppendLine();
                            sb.AppendFormat("<a class=\"LevelBack\" href=\"{0}.aspx\">{1}</a> ",
                                dr["PARENT_PAGE_NAME"].ToString(),
                                "< Back").AppendLine();
                            sb.AppendFormat("</td>").AppendLine();
                            sb.AppendFormat("</tr>").AppendLine();

                            sb.AppendFormat("<tr>").AppendLine();
                            sb.AppendFormat("<td>").AppendLine();
                            sb.AppendFormat("<a class=\"Level1\" href=\"{0}.aspx\">{1}</a> ",
                                dr["PARENT_PAGE_NAME"].ToString(),
                                dr["PARENT_PAGE_CAPTION"].ToString()).AppendLine();
                            sb.AppendFormat("</td>").AppendLine();
                            sb.AppendFormat("</tr>").AppendLine();
                            break;
                        }
                    }
                }

                PageRoles = dr["View_Roles"].ToString().Split(new char[] { ';' });
                foreach (string Role in PageRoles)
                {
                    
                    // handaajay15:WI:783
                    // if (p.IsInRole(Role) || (String.Compare(Role, "Guests", true) == 0))
                    if ((Role.Trim() != "") &&
                        (
                        (p.IsInRole(Role) ||
                       (!(p.Identity.IsAuthenticated) && String.Compare(Role, "Guests", true) == 0) ||
                        ((p.Identity.IsAuthenticated) && String.Compare(Role, "Registered", true) == 0)
                       )))
                    {
                        sb.AppendFormat("<tr>").AppendLine();
                        sb.AppendFormat("<td>").AppendLine();
                        sb.AppendFormat("<a class=\"Level2\" href=\"{0}.aspx\">{1}</a> ",
                            dr["PAGE_NAME"].ToString(),
                            dr["PAGE_CAPTION"].ToString()).AppendLine();
                        sb.AppendFormat("</td>").AppendLine();
                        sb.AppendFormat("</tr>").AppendLine();
                        break;
                    }
                }
            }
             */
            #endregion Tables[0]

            sb.AppendFormat("<div class=\"MenuLeft\">").AppendLine();
            foreach (DataRow dr in ds.Tables[0].Rows)
            {
                PageRoles = dr["View_Roles"].ToString().Split(new char[] { ';' });
                foreach (string Role in PageRoles)
                {

                    // handaajay15:WI:783
                    // if (p.IsInRole(Role) || (String.Compare(Role, "Guests", true) == 0))
                    if ((Role.Trim() != "") &&
                        (
                        (p.IsInRole(Role) ||
                       (!(p.Identity.IsAuthenticated) && String.Compare(Role, "Guests", true) == 0) ||
                        ((p.Identity.IsAuthenticated) && String.Compare(Role, "Registered", true) == 0)
                       )))
                    {
                        sb.AppendFormat("<h1><a href=\"{0}.aspx\"> {1}</a></h1> ",
                            dr["PAGE_NAME"].ToString(),
                            dr["PAGE_CAPTION"].ToString()).AppendLine();
                        break;
                    }
                }
            }
            sb.AppendFormat("<ul>").AppendLine();
            foreach (DataRow dr in ds.Tables[1].Rows)
            {

                PageRoles = dr["View_Roles"].ToString().Split(new char[] { ';' });
                foreach (string Role in PageRoles)
                {
                    // handaajay15:WI:783
                    // if (p.IsInRole(Role) || (String.Compare(Role, "Guests", true) == 0))
                    if ((Role.Trim() != "") &&
                       ((p.IsInRole(Role) ||
                       (!(p.Identity.IsAuthenticated) && String.Compare(Role, "Guests", true) == 0) ||
                       ((p.Identity.IsAuthenticated) && String.Compare(Role, "Registered", true) == 0)  
                        )))
                    {
                        //sb.AppendFormat("<tr>").AppendLine();
                        //sb.AppendFormat("<td>").AppendLine();

                        if (
                                (dr["IS_PUBLISHED"].ToString() == "1") &&
                                (dr["IS_MENU_ITEM"].ToString() == "1") &&
                                (dr["IS_DELETED"].ToString() == "0")
                            )
                        {
                            //sb.AppendFormat("<a class=\"Level3\" href=\"{0}.aspx\">{1}</a> ",
                            //    dr["PAGE_NAME"].ToString(),
                            //    dr["PAGE_CAPTION"].ToString()).AppendLine();

                            sb.AppendFormat("<li><a href=\"{0}.aspx\">{1}</a></li> ",
                                dr["PAGE_NAME"].ToString(),
                                dr["PAGE_CAPTION"].ToString()).AppendLine();

                        }

                        #region Legends
                        /*

                        if (p.IsInRole("Admin"))
                        {
                            Legends = string.Empty;
                            if (dr["IS_PUBLISHED"].ToString() == "0")
                            {
                                Legends += "NP";
                            }
                            if (dr["IS_DELETED"].ToString() == "1")
                            {
                                if (Legends != string.Empty)
                                {
                                    Legends += "-D";
                                }
                                else
                                {
                                    Legends += "D";
                                }
                            }
                            if (dr["IS_MENU_ITEM"].ToString() == "0")
                            {
                                if (Legends != string.Empty)
                                {
                                    Legends += "-NM";
                                }
                                else
                                {
                                    Legends += "NM";
                                }
                            }
                            if (Legends != string.Empty)
                            {
                                //Legends
                                sb.AppendFormat("<a class=\"Level3\" href=\"{0}.aspx\">{1} ({2}) [{3}]</a> ",
                                    dr["PAGE_NAME"].ToString(),
                                    dr["PAGE_CAPTION"].ToString(),
                                    dr["PAGE_SORT"].ToString(),
                                    Legends).AppendLine();
                            }
                            else
                            {
                                sb.AppendFormat("<a class=\"Level3\" href=\"{0}.aspx\">{1} ({2})</a>",
                                    dr["PAGE_NAME"].ToString(),
                                    dr["PAGE_CAPTION"].ToString(),
                                    dr["PAGE_SORT"].ToString()).AppendLine();
                            }
                        }
                        else
                        {
                            if (
                                    (dr["IS_PUBLISHED"].ToString() == "1") &&
                                    (dr["IS_MENU_ITEM"].ToString() == "1") &&
                                    (dr["IS_DELETED"].ToString() == "0")
                                )
                            {
                                sb.AppendFormat("<a class=\"Level3\" href=\"{0}.aspx\">{1}</a> ",
                                    dr["PAGE_NAME"].ToString(),
                                    dr["PAGE_CAPTION"].ToString()).AppendLine();
                            }
                        }
                        */
                        #endregion Legends

                        //sb.AppendFormat("</td>").AppendLine();
                        //sb.AppendFormat("</tr>").AppendLine();
                        break;
                    }
                }
            }
            sb.AppendFormat("</ul>").AppendLine();
            sb.AppendFormat("</div>").AppendLine();
            //sb.AppendFormat("</Table>").AppendLine();
          
        }
        ds.Dispose();
        //util = null;
        Literal1.Text = sb.ToString();
        sb = null;
    }
}
