
Drop procedure DBO.JMD_CONTENT_TEMPLATE_INIT
Go
CREATE PROCEDURE DBO.JMD_CONTENT_TEMPLATE_INIT
  @Site_URL nvarchar(255)
AS
/*
	Copyright (C) 2012  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
BEGIN
  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  
    
  Delete JMD_CONTENT_TEMPLATE Where SITE_ID = @Site_Id
  
  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'1 Col',
'[div class=col_12] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=clear][/div]
')                            

  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'2 Equal Col',
'[div class=col_6] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=col_6] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=clear][/div]
')                            

  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'3 Equal Col',
'[div class=col_4] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=col_4]
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=col_4]
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=clear][/div]
')                            

  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'2 Col 30x70',
'[div class=col_3] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=col_9] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=clear][/div]
')                            

  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'2 Col 70x30',
'[div class=col_9] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=col_3] 
[h4]LOREM IPSUM[/h4]
[p]
Sed ipsum nulla, placerat ut fringilla et, sagittis vel magna. Donec consequat enim in erat egestas pulvinar. Phasellus rutrum, eros quis lacinia volutpat, ante felis cursus eros, eu porttitor nunc tellus id tellus. Morbi posuere pellentesque quam in ultricies. Nunc quis urna quis eros dictum ultricies vitae sed ante. Cras justo orci, feugiat et vestibulum cursus, tincidunt quis neque. Maecenas auctor, justo quis malesuada mollis, neque odio volutpat ante, facilisis volutpat nisi quam vel purus. Vestibulum nec urna massa, nec varius augue. Ut tristique erat vulputate risus luctus id volutpat sem sollicitudin.
[/p]
[/div] 
[div class=clear][/div]
')                            


  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'Slideshow with list',
'[div class=col_6] 
[slideshow class=slideshow height=300px width=490px] 
[slide src=http://placehold.it/300x490/4D99E0/ffffff.png&text=300x490 height=300px width=490px][/slide]
[slide src=http://placehold.it/300x490/75CC00/ffffff.png&text=300x490 height=300px width=490px][/slide]
[slide src=http://placehold.it/300x490/E49800/ffffff.png&text=300x490 height=300px width=490px][/slide]
[slide src=http://placehold.it/300x490/00C6E4/ffffff.png&text=300x490 height=300px width=490px][/slide]

[/slideshow]

[/div] 

[div class=col_6] 
[h4]FEATURES[/h4]
[list class=checks]
[*] tation ullamcorper suscipit lobortis Nam liber tempor cum. 
[*] Nam liber tempor cum soluta nobis doming id quod mazim
[*] imperdiet doming id quod mazim nisl ut aliquip ex
[*] suscipit lobortis nisl ut aliquip ex cum soluta nobis 
[*] tation ullamcorper suscipit lobortis Nam liber tempor cum. 
[*] Nam liber tempor cum soluta nobis doming id quod mazim
[*] imperdiet doming id quod mazim nisl ut aliquip ex
[*] suscipit lobortis nisl ut aliquip ex cum soluta nobis 
[/list]     

[/div] 
[div class=clear][/div]
')

  INSERT INTO JMD_CONTENT_TEMPLATE (SITE_ID,TEMPLATE_NAME,TEMPLATE_TEXT) VALUES (@Site_Id,'Lightbox Picture Gallary',
'[div class=center]
[div class=gallery] 

[url rel=gallery0 href=http://placehold.it/600x600/4D99E0/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/4D99E0/ffffff.png&text=Portfolio1[/img][/url]

[url rel=gallery0 href=http://placehold.it/600x600/75CC00/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/75CC00/ffffff.png&text=Portfolio1[/img][/url]

[url rel=gallery0 href=http://placehold.it/600x600/E49800/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/E49800/ffffff.png&text=Portfolio1[/img][/url]

[url rel=gallery0 href=http://placehold.it/600x600/00C6E4/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/00C6E4/ffffff.png&text=Portfolio1[/img][/url]

[url rel=gallery0 href=http://placehold.it/600x600/75CC00/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/75CC00/ffffff.png&text=Portfolio1[/img][/url]

[url rel=gallery0 href=http://placehold.it/600x600/4D99E0/ffffff.png&text=Portfolio1 ] 
[img class=style1 width=290 height=200]http://placehold.it/290x200/4D99E0/ffffff.png&text=Portfolio1[/img][/url]

[/div]
[/div]

[div class=clear][/div]')


END
GO

