DROP PROCEDURE [dbo].[JMD_MOD_CJ_CATEGORY_SAVE]
GO
CREATE PROCEDURE [dbo].[JMD_MOD_CJ_CATEGORY_SAVE]
  @ID INT ,
  @CATEGORY VARCHAR(250)
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  if not exists ( Select * From JMD_MOD_CJ_CATEGORY Where ID = @ID )
  begin
    Insert into JMD_MOD_CJ_CATEGORY
    (
      Category
    ) 
    values    
    (
      @Category
    )
  end
  else
  begin
    Update
      JMD_MOD_CJ_CATEGORY
    Set
		Category = @Category
    Where
      ID = @ID
  end
GO