DROP PROCEDURE [dbo].[JMD_MOD_SELECT]
GO
CREATE PROCEDURE [dbo].[JMD_MOD_SELECT]
  @Site_URL nvarchar(255),
  @Show_Admin int
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id Int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  if ( Coalesce(@Show_Admin,0) = 0 )
  begin
    Select
       Id, Mod_Friendly_Name
    From
      JMD_MOD
    Where
      Site_Id = @Site_Id and
      Is_Admin != 1
    Order by 
      Mod_Friendly_Name
  end
  else
  begin
    Select
       Id, Mod_Friendly_Name
    From
      JMD_MOD
    Where
      Site_Id = @Site_Id
    Order by 
      Mod_Friendly_Name
  end
GO