
Drop procedure dbo.JMD_PAGE_MOD_CONTENT_TEMPLATE_INSERT
go
Create procedure dbo.JMD_PAGE_MOD_CONTENT_TEMPLATE_INSERT
	@SITE_URL nvarchar(255),
	@Page_Name nvarchar(255),
	@Template_Name nvarchar(255)
As

  Declare
    @Site_Id int,
    @Mod_Id int,
    @Div_Id int,
    @PageModId int,
    @Logo varchar(250),
    @Page_Mod_Id int,
    @Content_Template nvarchar(max)
    
	Select 
	  @Page_Mod_Id = 0;    

	Select
		@Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

	Select
		@Content_Template = Content_Template 
	From
	   JMD_CONTENT_TEMPALTE
	 where 
		Site_Id = @Site_Id and
		TEMPLATE_NAME = @Template_Name 
	   	
	Select
		@Mod_Id = Id
	From
		JMD_MOD
	Where
		Site_Id = @Site_Id and
		Mod_Name = 'JMDHTML.ascx'

	Select
		@Div_Id = Id
	From
		JMD_DIV
	Where
		Site_Id = @Site_Id and
		Div_Name = 'Center'

  Execute
    @Page_Mod_Id = JMD_PAGE_MOD_SAVE
      '0',  @Site_URL, @Page_Name, @Mod_Id, '',  @Div_Id, 1, 0, 
      'Admin;Guests;Registered', 'Admin','Admin','Admin','Admin', null, 1 

	Exec [dbo].[JMD_MOD_HTML_SAVE]
	  @Page_Mod_Id,
	  '',
	  @Content_Template

GO