DROP PROCEDURE [dbo].[JMD_PAGE_MOD_DELETE]
GO
CREATE PROCEDURE [dbo].[JMD_PAGE_MOD_DELETE]
  @Page_Mod_Id int,
  @Action int
AS
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
	
	Author: Ajay Handa
	Purpose: To Delete/Recycle/Undo Recycle a page module
	
	WI:650: Manage module delete/undelete
*/

  Update
    JMD_PAGE_MOD
  Set
    Is_Deleted = @Action
  Where
    Id = @Page_Mod_Id
GO    
