DROP PROCEDURE [dbo].[JMD_PAGE_MOD_EXCLUDE_SAVE]
GO
/*
 Exec JMD_PAGE_MOD_EXCLUDE_SAVE
   '0', 'JMDCMS.Web', 'addPage',210

select * from JMD_PAGE_MOD_EXCLUDE

 Exec JMD_LOAD_MODS 'JMDCMS.Web' ,'addPage' 
select * from jmd_page_mod where id = 210

*/
CREATE PROCEDURE [dbo].[JMD_PAGE_MOD_EXCLUDE_SAVE]
  @JMD_PAGE_MOD_EXCLUDE_ID int,
  @Site_URL nvarchar(255),
  @Page_Name nvarchar(255),
  @Page_Mod_Id int
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id int,
    @Page_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL) 

  Select
     @Page_Id = Id
  From
    JMD_Page
  Where
    Site_Id = @Site_Id and
    Page_Name = @Page_Name

  If not exists ( Select * from JMD_PAGE_MOD_EXCLUDE where Id = @JMD_PAGE_MOD_EXCLUDE_ID )
  begin
    Insert into JMD_PAGE_MOD_EXCLUDE
    (
      Page_Mod_Id, Page_Id
    )
    values
    (
      @Page_Mod_Id, @Page_Id
    )
  end
  else
  begin
    Update
      JMD_PAGE_MOD_EXCLUDE
    Set
      Page_Mod_Id = @Page_Mod_Id,
      Page_Id = @Page_Id
    Where
      Id = @JMD_PAGE_MOD_EXCLUDE_ID
  end
GO