DROP PROCEDURE JMD_SITE_INSERT
GO
/*****************************************************************************
  NAME: JMD_SITE_INSERT
  PURPOSE: Insert procedure for JMD_SITE Table
*****************************************************************************/
CREATE PROCEDURE [dbo].[JMD_SITE_INSERT]
  @SITE_URL nvarchar(255),
  @ALIAS_SITE_ID int = null,
  @STYLE_SHEET nvarchar(255),
  @SITE_VERSION nvarchar(20),
  @SITE_FOLDER nvarchar(255)
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Insert into JMD_SITE
  (
    SITE_URL, ALIAS_SITE_ID, Style_Sheet, Site_Version, Site_Folder
  )
  values
  (
    @SITE_URL, @ALIAS_SITE_ID, @Style_Sheet, @Site_Version, @Site_Folder
  )   
  Return @@Identity
GO