Drop procedure DBO.JMD_STYLE_INIT
Go
CREATE PROCEDURE DBO.JMD_STYLE_INIT
  @Site_URL nvarchar(255)
AS
/*
	Copyright (C) 2012  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
BEGIN
  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  
    
  Delete JMD_STYLE Where SITE_ID = @Site_Id
  
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Blue','Userfiles/Style/Default/style.css');                            
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Blue','Userfiles/Style/LightBlue/style.css');                          
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Green','Userfiles/Style/LightGreen/style.css');                          
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Pink','Userfiles/Style/LightPink/style.css');                              
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Orange','Userfiles/Style/LightOrange/style.css');                                
  INSERT INTO JMD_STYLE (SITE_ID,NAME,STYLE_URL) VALUES (@Site_Id,'Light Red','Userfiles/Style/LightRed/style.css'); 
END
GO

