Drop procedure DBO.JMD_STYLE_SELECT
GO
CREATE Procedure DBO.JMD_STYLE_SELECT
  @Site_URL nvarchar(255)

/*
	Copyright (C) 2012  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
As
  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

  Select 
	JMD_STYLE.*, SITE_STYLE_SHEET = jmd_site.Style_Sheet
  From
     JMD_STYLE
  left outer join jmd_site on 
	jmd_style.style_url = jmd_site.style_sheet 
	and jmd_style.site_id = jmd_site.id  
  Where
    JMD_STYLE.Site_Id = @Site_Id

 GO

