﻿
IF OBJECT_ID(N'[dbo].[JMD_USER_EXISTS_BY_NAME]') IS NOT NULL
	DROP PROCEDURE [dbo].[JMD_USER_EXISTS_BY_NAME]
GO
CREATE PROCEDURE [dbo].[JMD_USER_EXISTS_BY_NAME]
  @Site_URL nvarchar(255),
  @User_Name nvarchar(50)
As
/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/

  Declare
    @Site_Id int

  Select
    @Site_Id = dbo.JMD_GET_SITE_ID(@Site_URL)  

	if exists ( Select 1 From JMD_USER where Site_Id = @Site_Id and User_Name = @User_Name )
	begin
	  Select Exist = 1
	end
	else
	begin
		  Select Exist = 0
	end
		
GO