<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddModule.ascx.cs" Inherits="Modules_Admin_AddModule" %>
<ul class="tabs left">
    <li><a href="#tabr1">Module</a></li>
    <li><a href="#tabr2">Options</a></li>
    <li><a href="#tabr3">Security</a></li>
</ul>
<div id="tabr1" class="tab-content">
    <table class="TableForm">
        <tr>
            <th class="TableFormTdLeft" colspan="2">
                <asp:Literal ID="ErrMsg" runat="server"></asp:Literal>
            </th>
        </tr>
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Page Name</h1>
                <ul>
                    <li><b>Page Name: </b>Container page for the module.</li>
                </ul>
            </td>
            <td class="TableFormTdRight">Page Name:
                <br />
                <asp:TextBox ID="Page_Name" CssClass="TextBoxClass" runat="server" BackColor="Silver"
                    ReadOnly="True"></asp:TextBox><br />
            </td>
        </tr>
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Module</h1>
                <ul>
                    <li>Select Module, Title and Layout Location.&nbsp;</li>
                </ul>
            </td>
            <td class="TableFormTdRight">Module:
                <asp:CheckBox ID="Show_Admin" runat="server" Text="Show Admin Modules" AutoPostBack="True"
                    OnCheckedChanged="Show_Admin_CheckedChanged" Visible="False" /><br />
                <asp:DropDownList ID="Mod_Id" runat="server" Width="99%" Height="30px">
                    <asp:ListItem Value="iamvalue">Hello</asp:ListItem>
                </asp:DropDownList><br />
                Title:
                <br />
                <asp:TextBox ID="Mod_Title" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
                Layout Location:
                <br />
                <asp:DropDownList ID="Div_Id" runat="server" Width="99%" CssClass="SelectClass" Height="30px">
                    <asp:ListItem Value="iamvalue">Hello</asp:ListItem>
                </asp:DropDownList><br />
            </td>
        </tr>
    </table>
</div>
<div id="tabr2" class="tab-content">
    <table class="TableForm">
        <tr>
            <td class="TableFormTdLeft" style="height: 95px">
                <h1 class="TableFormH1">Module Options</h1>
                <ul>
                    <li><b>Is Published: </b>Only published modules will be visible on the page.</li>
                    <li><b>Show On All Pages: </b>If Show On All Pages is checked then this module will
                        be visible on all pages.</li>
                    <li><b>Display Order: </b>Display order for module layout on the page.
                        <asp:RangeValidator ID="Mod_Sort_Validator" runat="server" ControlToValidate="Mod_Sort"
                            Display="None" EnableClientScript="False" MaximumValue="100000" MinimumValue="0"
                            Type="Integer"></asp:RangeValidator></li>
                </ul>
            </td>
            <td class="TableFormTdRight" style="height: 95px">
                <asp:CheckBox ID="Is_Published" runat="server" Text="Published" Checked="True" /><br />
                <asp:CheckBox ID="Show_On_All_Pages" runat="server" Text="Show On All Pages" /><br />
                Display Order:
                <br />
                <asp:TextBox ID="Mod_Sort" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
            </td>
        </tr>
    </table>
</div>
<div id="tabr3" class="tab-content">
    <table class="TableForm">
        <tr>
            <td class="TableFormTdLeft">
                <h1 class="TableFormH1">Module Security</h1>
            </td>
            <td class="TableFormTdRight">View Role(s):
                <br />
                <asp:CheckBoxList ID="View_Role" runat="server" RepeatLayout="Flow" Width="96%" BorderStyle="Outset"
                    BorderWidth="1px">
                    <asp:ListItem>View</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Edit Role(s):
                <br />
                <asp:CheckBoxList ID="Edit_Role" runat="server" RepeatLayout="Flow" Width="96%" BorderStyle="Outset"
                    BorderWidth="1px">
                    <asp:ListItem>Edit</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Delete Role(s):
                <br />
                <asp:CheckBoxList ID="Delete_Role" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Delete</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Move Role(s):
                <br />
                <asp:CheckBoxList ID="Move_Role" runat="server" RepeatLayout="Flow" Width="96%" BorderStyle="Outset"
                    BorderWidth="1px">
                    <asp:ListItem>Move</asp:ListItem>
                </asp:CheckBoxList>
                <br />
                <br />
                Edit Content Role(s):
                <br />
                <asp:CheckBoxList ID="Edit_Contents_Role" runat="server" RepeatLayout="Flow" Width="96%"
                    BorderStyle="Outset" BorderWidth="1px">
                    <asp:ListItem>Edit Content</asp:ListItem>
                </asp:CheckBoxList><br />
                <br />
            </td>
        </tr>
    </table>
</div>
<table class="TableForm">
    <tr>
        <td class="TableFormAction" colspan="2">
            <asp:Button ID="Button1" runat="server" Text="OK" Width="124px" OnClick="Button1_Click"
                CssClass="ButtonClass" />
            <asp:Button ID="Button2" runat="server" Text="Cancel" Width="124px" OnClick="Button2_Click"
                CssClass="ButtonClass" />
        </td>
    </tr>
</table>
<asp:HiddenField ID="Page_Mod_Id" runat="server" />
