/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;

public partial class Modules_Admin_Admin : System.Web.UI.UserControl
{

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            InitControls();
        }

    }

    private void InitControls()
    {
        string siteURL = Util.SiteURL(Request.QueryString["Pg"].ToString());
        Page_Name.Value = Util.PageName(Request.QueryString["Pg"].ToString());
        DataTable dt;
        
        string Site_Url = Util.SiteURL(Request.QueryString["Pg"].ToString());

        dt = SqlServer.JMD_STYLE_SELECT(Site_Url);
        Style_Name.Items.Clear();

        foreach (DataRow dr in dt.Rows)
        {
            ListItem li = new ListItem(dr["NAME"].ToString(),
                dr["NAME"].ToString());
            Style_Name.Items.Add(li);
            if (dr["SITE_STYLE_SHEET"].ToString().Trim().Length > 0)
            {
                Style_Name.SelectedValue = dr["NAME"].ToString();
            }
        }


        //Div_Id.SelectedValue = dtPageMod.Rows[0]["DIV_ID"].ToString();

        dt.Dispose();

    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        // Cancel
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        // Save
        SqlServer.JMD_SITE_Update(Util.SiteURL(Request.QueryString["Pg"].ToString()),Style_Name.SelectedValue);
        Response.Redirect(string.Format("{0}.aspx", Page_Name.Value));
        
        // Apply Template
    }
}
