/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;

public partial class Modules_Admin_DeletePageModule : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            InitPage(Request.QueryString["Pg"].ToString());
        }

    }
    private void InitPage(string URI)
    {
        string PageParams = Util.PageParams(URI);
        if (string.Compare(PageParams, String.Empty) != 0)
        {
            string[] ParamParts = PageParams.Split(new char[] { ',' });

            Mod_Title.Text = ParamParts[1].Split(new char[] { '=' })[1].ToString();
            Page_Mod_Id.Value = ParamParts[0].Split(new char[] { '=' })[1].ToString();
            Page_Mod_Id.Value += ";"+ParamParts[3].Split(new char[] { '=' })[1].ToString();
            Page_Name.Text = string.Format("{0}",
                ParamParts[2].Split(new char[] { '=' })[1].ToString());

            if (ParamParts[3].Split(new char[] { '=' })[1].ToString() == "0")
            {
                LeftCaption.Text = string.Format("Recover Page Module to Page:");
                Caption.Text = string.Format("Recover Page Module: {0}", Mod_Title.Text);
            }
            else if (ParamParts[3].Split(new char[] { '=' })[1].ToString() == "1")
            {
                LeftCaption.Text = string.Format("Move module to recycle bin from page:");
                Caption.Text = string.Format("Move Page Module to recycle bin: {0}", Mod_Title.Text);
            }
            else
            {
                LeftCaption.Text = string.Format("Delete module from page:");
                Caption.Text = string.Format("Delete Page Module: {0}", Mod_Title.Text);
            }

        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            string[] SaveParts = Page_Mod_Id.Value.Split(new char[] { ';' });

            //SqlServer.JMD_PAGE_MOD_DELETE(Page_Mod_Id.Value);
            SqlServer.JMD_PAGE_MOD_DELETE(SaveParts[0].ToString(), SaveParts[1].ToString());
            Response.Redirect(string.Format("{0}.aspx", Page_Name.Text));

        }
        catch (System.Data.SqlClient.SqlException Ex)
        {
            ErrorMessage.Text = "<ul class=\"TableFormErrorMessage\">";
            ErrorMessage.Text += string.Format("<li>{0}</li>", Ex.Message);
            ErrorMessage.Text += "</ul>";
        }
        finally
        {
        }

    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect(string.Format("{0}.aspx", Page_Name.Text));
    }
}
