﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Install.ascx.cs" Inherits="Modules_Admin_Install" %>


        <table class="TableForm" style="width: 100%;">
            <tr>
                <th class="TableFormTdLeft" colspan="2">
                    <h2 class="TableFormH2">
                        Instant Website - Step 1 of 3</h2>
                </th>
            </tr>
            <tr>
                <td colspan="2">
                    <h1 class="TableFormH1">
                        Name your Website </h1>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Site Title
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtSiteTitle" CssClass="TextBoxClass" runat="server"></asp:TextBox>
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                        ControlToValidate="txtSiteTitle" Display="Dynamic" 
                        ErrorMessage="Site Title is required." ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Instant Site URL
                    <br />
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtSiteURL" width="50%" runat="server" CssClass="TextBoxClass"></asp:TextBox>.<asp:DropDownList 
                        ID="ddlSitesList" runat="server">
                        <asp:ListItem Selected="True">WHDR.net</asp:ListItem>
                    </asp:DropDownList>
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" 
                        ControlToValidate="txtSiteURL" Display="Dynamic" 
                        ErrorMessage="Instant Site URL is required." ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                    &nbsp;<asp:CustomValidator ID="CustomValidator3" runat="server" 
                        ControlToValidate="txtName" Display="Dynamic" 
                        ErrorMessage="This URL already taken. Please enter a new Instant Site URL." 
                        onservervalidate="CustomValidator3_ServerValidate" SetFocusOnError="True" 
                        ValidateEmptyText="True" ValidationGroup="ValidationGroup1"></asp:CustomValidator>
                </td>
            </tr>
        </table>
        <table class="TableForm" style="width: 100%; height: 291px;">
            <tr>
                <th class="TableFormTdLeft" colspan="2">
                    <h2 class="TableFormH2">
                        Instant Website - Step 2 of 3</h2>
                </th>
            </tr>
            <tr>
                <td colspan="2">
                    <h1 class="TableFormH1">
                        Sign up </h1>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Email Address <br />
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtEmail" CssClass="TextBoxClass" runat="server" 
                        ValidationGroup="ValidationGroup1"></asp:TextBox>
                        <br />
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                        ControlToValidate="txtEmail" Display="Dynamic" 
                        ErrorMessage="Email address is invalid." 
                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                        ValidationGroup="ValidationGroup1"></asp:RegularExpressionValidator>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                        ControlToValidate="txtEmail" Display="Dynamic" 
                        ErrorMessage="Email Address is required." ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Login
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtName" CssClass="TextBoxClass" runat="server"></asp:TextBox>                

                    <asp:CustomValidator ID="CustomValidator1" runat="server" 
                        ControlToValidate="txtName" Display="Dynamic" 
                        ErrorMessage="Login with this name already exists. Please select a new login." 
                        onservervalidate="CustomValidator1_ServerValidate" SetFocusOnError="True" 
                        ValidateEmptyText="True" ValidationGroup="ValidationGroup1"></asp:CustomValidator>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                        ControlToValidate="txtName" ErrorMessage="Login is required." 
                        ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Password
                </td>
                <td class="TableFormTdRight">
                    Password: <br/>
                    <asp:TextBox ID="txtPassword" CssClass="TextBoxClass" runat="server" TextMode="Password"></asp:TextBox> <br/>                 
                    Confirm Password: <br/>
                    <asp:TextBox ID="txtPasswordConfirm" CssClass="TextBoxClass" runat="server" 
                        TextMode="Password"></asp:TextBox>                                    
                    <br />
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                        ControlToValidate="txtPassword" Display="Dynamic" 
                        ErrorMessage="Password is required." ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" 
                        ControlToValidate="txtPasswordConfirm" Display="Dynamic" 
                        ErrorMessage="Confirm Password is required." ValidationGroup="ValidationGroup1"></asp:RequiredFieldValidator>
                    <asp:CustomValidator ID="CustomValidator2" runat="server" Display="Dynamic" 
                        ErrorMessage="Password does not match with confirm password." 
                        onservervalidate="CustomValidator2_ServerValidate" 
                        ValidationGroup="ValidationGroup1"></asp:CustomValidator>
                </td>
            </tr>

            <tr>
                <td class="TableFormTdLeft">
                    Display Name
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtDisplayName" CssClass="TextBoxClass" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Acceptance of terms
                </td>
                <td class="TableFormTdRight">
                    <asp:TextBox ID="txtTerms" CssClass="TextBoxClass" runat="server"></asp:TextBox>
                </td>
            </tr>
        </table>
        <table class="TableForm" style="width: 100%;">
            <tr>
                <th class="TableFormTdLeft" colspan="2">
                    <h2 class="TableFormH2">
                        Instant Website - Step 3 of 3</h2>
                </th>
            </tr>
            <tr>
                <td colspan="2">
                    <h1 class="TableFormH1">
                        Choose Template </h1>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    Template
                </td>
                <td class="TableFormTdRight">
                    <asp:DropDownList ID="cmbTemplates" width="96%" runat="server">
                        <asp:ListItem Selected="True">Standard</asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="TableFormTdLeft">
                    CAPTCHA
                </td>
                <td class="TableFormTdRight">
                    <asp:Image ID="Image1" runat="server" />
                    <br />
                    <asp:TextBox ID="txtCaptcha" runat="server" CssClass="TextBoxClass" ></asp:TextBox>
                    <asp:CustomValidator ID="CustomValidator4" runat="server" 
                        ControlToValidate="txtCaptcha" Display="Dynamic" 
                        ErrorMessage="Text does not match the Image." 
                        onservervalidate="CustomValidator4_ServerValidate" SetFocusOnError="True" 
                        ValidateEmptyText="True" ValidationGroup="ValidationGroup1"></asp:CustomValidator>
                </td>
                
            </tr>
        </table>

<table class="TableForm" style="width: 100%;">
    <tr>
        <td class="TableFormAction" colspan="2">
            <asp:Button ID="btnPrev" runat="server" Text="&lt; Back" Width="100px" onclick="btnPrev_Click" 
                 />

            <asp:Button ID="btnNext" runat="server" Text="Next &gt;" Width="100px" 
                onclick="btnNext_Click" ValidationGroup="ValidationGroup1" />
                
            <asp:HiddenField ID="hiddenPassword" runat="server" />
                
        </td>
    </tr>
</table>
