/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;
using System.Text;

public partial class Modules_Admin_Roles : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        BrowseRoles();
    }
    private void BrowseRoles()
    {
         
        DataTable dt;
        StringBuilder sb = new StringBuilder();
        Literal lt = new Literal();
        dt = SqlServer.JMD_ROLE_SELECT(Util.SiteURL(Request.QueryString["Pg"].ToString()));

        sb.AppendFormat("<a href=\"AddRole.aspx\">Add New Role</a>").AppendLine();

        sb.AppendFormat("<Table class=\"Browse\">").AppendLine();
        sb.AppendFormat("<Tr>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Role").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Actions").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("</Tr>").AppendLine();

        foreach (DataRow dr in dt.Rows)
        {
            sb.AppendFormat("<Tr>").AppendLine();

            sb.AppendFormat("<Td>{0}</Td> ",
                dr["ROLE_NAME"].ToString()).AppendLine();

            sb.AppendFormat("<Td>").AppendLine();
            if (dr["IS_INTERNAL"].ToString() == "1")
            {
                sb.AppendFormat("Internal").AppendLine();
            }
            else
            {
                sb.AppendFormat("<a href=\"AddRole.aspx?Role_Id={0}\"><img src=\"Images/JMDCMS/pencil-wi0062-16.png\" alt=\"Edit\" /></a>",
                    dr["ID"].ToString(),
                    dr["ROLE_NAME"].ToString()).AppendLine();
                sb.AppendFormat("<a href=\"DeleteRole.aspx?Role_Id={0}\"><img src=\"Images/JMDCMS/del-16.png\" alt=\"Delete\" />",
                    dr["ID"].ToString(),
                    dr["ROLE_NAME"].ToString()).AppendLine();
            }

            sb.AppendFormat("</Td>");

            sb.AppendFormat("</Tr>").AppendLine();

        }
        sb.AppendFormat("</Table>").AppendLine();
        lt.Text = sb.ToString();
        DynamicObjects.Controls.Clear();
        DynamicObjects.Controls.Add(lt);
        dt.Dispose();

    }

    private void Save()
    {
        // 
        //SqlServer.JMD_ROLE_SAVE("0", Util.SiteURL(Request.QueryString["Pg"].ToString()), "");        
    }
}
