/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;


public partial class Modules_Core_BreadCrumbs : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ShowBreadCrumbs();
    }

    private void ShowBreadCrumbs()
    {
         
        DataTable dt;

        string BreadCrumbsLink = "<li><a href=\"{0}.aspx\">{1}</a></li>";
        dt = SqlServer.JMD_MOD_BreadCrumbs(Util.SiteURL(Request.QueryString["Pg"].ToString()),
            Util.PageName(Request.QueryString["Pg"].ToString()));
        if (dt.Rows.Count > 0)
            Literal1.Text = "<ul class=\"breadcrumbs alt1\">";
        foreach ( DataRow dr in dt.Rows )
        {
            //if ( Literal1.Text != string.Empty )
            //{
            //    Literal1.Text += "&nbsp;>&nbsp;";
            //}
            Literal1.Text += string.Format(BreadCrumbsLink,
                dr["Page_Name"].ToString(),
                dr["Page_Caption"].ToString()) ;
        }
        if (dt.Rows.Count > 0)
            Literal1.Text += "</ul>";
        //Util.SiteURL(Request.QueryString["Pg"].ToString()
    }
}