/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;
using System.Text;

public partial class Modules_Forms_BrowseForms : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        BrowseTables();
    }
    public void BrowseTables()
    {
         
        DataTable dt;
        StringBuilder sb = new StringBuilder();
        dt = SqlServer.JMD_OBJ_SELECT_TABLES(Util.SiteURL(Request.QueryString["Pg"].ToString()));

        sb.AppendFormat("<a href=\"{0}\">{1}</a>", 
            "NewForm.aspx","Add New Form <br />").AppendLine();
        sb.AppendFormat("<Table class=\"Browse\">").AppendLine();
        sb.AppendFormat("<Tr>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Form Name").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th>{0}", "Description").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("<Th colspan=\"3\">{0}", "Actions").AppendLine();
        sb.AppendFormat("</Th>").AppendLine();

        sb.AppendFormat("</Tr>").AppendLine();

        foreach (DataRow dr in dt.Rows)
        {
            sb.AppendFormat("<Tr>").AppendLine();

            sb.AppendFormat("<Td><a href=BrowseCols.aspx?Obj_Id={0},Obj_Name={1} >{2}</a> ",
                          dr["ID"].ToString(),
                          dr["OBJ_NAME"].ToString(),
                          dr["OBJ_NAME"].ToString()).AppendLine();


            if (dr["OBJ_DESC"].ToString().Length > 100)
            {
                sb.AppendFormat("<Td><a href=BrowseCols.aspx?Obj_Id={0},Obj_Name={1} >{2}</a> ",
                              dr["ID"].ToString(),
                              dr["OBJ_NAME"].ToString(),
                              dr["OBJ_DESC"].ToString().Substring(0, 100) + "...").AppendLine();

            }
            else
            {

                sb.AppendFormat("<Td><a href=BrowseCols.aspx?Obj_Id={0},Obj_Name={1} >{2}</a> ",
                              dr["ID"].ToString(),
                              dr["OBJ_NAME"].ToString(),
                              dr["OBJ_DESC"].ToString()).AppendLine();
            }



            sb.AppendFormat("<Td><a href=NewForm.aspx?Obj_Id={0},Action={1}|{2} >{3}</a> ",
                dr["ID"].ToString(),
                "Edit",
                dr["OBJ_NAME"].ToString(),
                "Edit").AppendLine();

            sb.AppendFormat("<Td><a href=NewForm.aspx?Obj_Id={0},Action={1}|{2} >{3}</a> ",
                dr["ID"].ToString(), 
                "Delete",
                dr["OBJ_NAME"].ToString(),
                "Delete").AppendLine();

            sb.AppendFormat("<Td><a href=NewRecord.aspx?Obj_Id={0}>{1}</a> ",
                dr["ID"].ToString(),
                "Data").AppendLine();

            sb.AppendFormat("</Tr>").AppendLine();

        }
        sb.AppendFormat("</Table>").AppendLine();
        Literal1.Text = sb.ToString();
        dt.Dispose();

    }
}
