<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewCol.ascx.cs" Inherits="Modules_Forms_NewCol" %>
<table class="TableForm">
    <tr>
        <th class="TableFormTdLeft" colspan="2">
            <h2 class="TableFormH2">
                <asp:Label ID="lblJMD_OBJ_NAME" runat="server" Text="Label"></asp:Label>&nbsp;</h2>
        </th>
    </tr>
    <tr>
        <td class="TableFormTdLeft">
            <h1 class="TableFormH1">
                Name</h1>
            <ul>
                <li>Input the unique identification of this Field.</li>
                <li>Spaces, commas, <, >, ~, &, [, ] and other special characters are not valid. </li>
            </ul>
        </td>
        <td class="TableFormTdRight">
            Field Name:<br />
            <asp:TextBox ID="JMD_COL_NAME" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
            Caption:
            <br />
            <asp:TextBox ID="JMD_COL_CAPTION" CssClass="TextBoxClass" runat="server"></asp:TextBox><br />
            Description:<br />
            <asp:TextBox ID="JMD_COL_DESC" CssClass="TextBoxClass" runat="server" Height="200px" TextMode="MultiLine"></asp:TextBox><br />
        </td>
    </tr>
    <tr>
        <td class="TableFormTdLeft">
            <h1 class="TableFormH1">
                Field Type</h1>
            <ul>
                <li>SingleLine</li>
                <li>MultiLine</li>
                <li>CheckBox</li>
                <li>RadioButton</li>
                <li>ComboBox</li>
                <li>ListBox</li>
                <li>CheckBoxList</li>
                <li>Lookup</li>
            </ul>
        </td>
        <td class="TableFormTdRight">
            Field Type:
            <br />
            <asp:DropDownList ID="JMD_COL_TYPE_ID" runat="server" AutoPostBack="True" OnSelectedIndexChanged="JMD_COL_TYPE_ID_SelectedIndexChanged" Width="98%">
            </asp:DropDownList><br />
        </td>
    </tr>
    <tr>
        <td class="TableFormTdLeft">
            <h1 class="TableFormH1">
                Caption</h1>
            <ul>
                <li>This will be displayed to the visitor.</li>
            </ul>
        </td>
        <td class="TableFormTdRight">
            <asp:Panel ID="PnlSingleLine" runat="server" Height="50px" Width="100%">
                <asp:CheckBox ID="SLRequired" runat="server" Text="Required" /><br />
                Max Length:<br />
                <asp:TextBox ID="SLMaxLength" runat="server" CssClass="TextBoxClass"></asp:TextBox></asp:Panel>
            <asp:Panel ID="PnlMultiLine" runat="server" Height="50px" Width="100%">
                <asp:CheckBox ID="MLRequired" runat="server" Text="Required" /><br />
                Number of Lines:<br />
                <asp:TextBox ID="MLTotalLines" runat="server" CssClass="TextBoxClass"></asp:TextBox></asp:Panel>
            <asp:Panel ID="PnlCheckBox" runat="server" Height="50px" Width="100%">
                Default Value:<br />
                <asp:RadioButtonList ID="chkDefault" runat="server" RepeatLayout="Flow" Width="100%">
                    <asp:ListItem Value="True">Checked</asp:ListItem>
                    <asp:ListItem Selected="True" Value="False">Not Checked</asp:ListItem>
                </asp:RadioButtonList></asp:Panel>
            <asp:Panel ID="PnlList" runat="server" Width="100%">
                <asp:CheckBox ID="ListRequired" runat="server" Text="Required" /><br />
                Options:<br />
                <asp:TextBox ID="ListOptions" runat="server" Height="163px" TextMode="MultiLine" CssClass="TextBoxClass"></asp:TextBox><br />
                Default Value:<br />
                <asp:TextBox ID="ListDefault" runat="server" CssClass="TextBoxClass"></asp:TextBox>
            </asp:Panel>
            <asp:Panel ID="PnlLookup" runat="server" Width="100%"><asp:CheckBox ID="LookupRequired" runat="server" Text="Required" /><br />
                Source Form:<br />
                <asp:DropDownList ID="LookupTable" runat="server" Width="96%" AutoPostBack="True" OnSelectedIndexChanged="LookupTable_SelectedIndexChanged">
                </asp:DropDownList><br />
                Source Field:<br />
                <asp:DropDownList ID="LookupField" runat="server" Width="96%">
                </asp:DropDownList></asp:Panel>
        </td>
    </tr>
    <tr>
        <td class="TableFormAction" colspan="2">
            <asp:Button ID="Button1" runat="server" Text="OK" Width="124px" OnClick="Button1_Click" />
            <asp:Button ID="Button2" runat="server" Text="Cancel" Width="124px" OnClick="Button2_Click" /></td>
    </tr>
    <asp:HiddenField ID="JMD_OBJ_ID" runat="server" />
    <asp:HiddenField ID="JMD_COL_ID" runat="server" />
