/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using JMDCMS.Web.Lib;
using System.Text.RegularExpressions;


public partial class Modules_JMDHTML : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        HTMLText();
    }
    public void HTMLText()
    {
        try
        {
             
            DataTable dt;
            string Site_URL = Util.SiteURL(Request.QueryString["Pg"].ToString());

            string Redirect = string.Empty;
            string[] DivMod = this.ID.Split(new char[] { '_' });
            dt = SqlServer.JMD_MOD_HTML_Select(DivMod[1].ToString(), Site_URL);
            Literal1.Text = string.Empty;

            if (dt.Rows.Count > 0)
            {
                //Literal1.Text = Server.HtmlDecode(dt.Rows[0]["HTML_TEXT"].ToString());
                //Literal1.Text = Util.GetBBCodeParser().ToHtml(dt.Rows[0]["HTML_TEXT"].ToString()).Replace("\r\n","<br />");

                Literal1.Text = Util.GetBBCodeParser().ToHtml(dt.Rows[0]["HTML_TEXT"].ToString());

                string regex = @"\[redirect\](.*)\[\/redirect\]";

                System.Text.RegularExpressions.RegexOptions options = ((System.Text.RegularExpressions.RegexOptions.IgnorePatternWhitespace | System.Text.RegularExpressions.RegexOptions.Multiline)
                            | System.Text.RegularExpressions.RegexOptions.IgnoreCase);
                System.Text.RegularExpressions.Regex reg = new System.Text.RegularExpressions.Regex(regex, options);

                Match m = reg.Match(Literal1.Text);

                if (m.Success)
                {
                    if (Util.PageName(Request.QueryString["Pg"].ToString()).ToUpper() != "DEFAULT")
                    {
                        JMDSecurity jmdSecurity = new JMDSecurity();
                        jmdSecurity.CheckPageAuth(Util.SqlConnectionString(),
                            Util.SiteURL(Request.QueryString["Pg"].ToString()),
                            Util.PageName(Request.QueryString["Pg"].ToString()));
                        if (((jmdSecurity.PageAdd) || 
                            (jmdSecurity.IsAdmin) ||
                            (jmdSecurity.PageAddModules) ||
                            (jmdSecurity.PageEdit) ||
                            (jmdSecurity.PageDelete) ||
                            (jmdSecurity.PageMove)
                            ) == false )
                        {
                            Response.Redirect(m.Groups[1].ToString());
                        }
                    }
                }
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
    }
}
