/*
	Copyright (C) 2007  Ajay Handa - jmdcms.com 
	This program is free software; 
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	License for more details.
	Some rights reserved. Please read License.txt for details.
	Removing above copyright message is a violation of license terms.
*/
using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Modules_Research_DynamicForms : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        TextBox tx = new TextBox();
        tx.Width = 200;
        tx.Text = "This is a text box";
        tx.ID = "this is ID";
        Panel1.Controls.Add(tx);
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (Control cl in Panel1.Controls)
        {
            if (cl.GetType().Name == "TextBox")
            {
                (cl as TextBox).Text = "Text is changed, Have Fun";
            }
        }
    }
}
