using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing.Design;



namespace JMDCMS.WebControls
{
    [DefaultProperty("Ajay")]
    [ToolboxData("<{0}:JMDLabel runat=server></{0}:JMDLabel>")]
    public class JMDLabel : WebControl
    {
        [Bindable(true)]
        [Category("JMDCMS")]
        [DefaultValue("")]
        [Localizable(true)]
        [Description("URL to which the page should redirect after successful submission of a new Blog entry.")]
        [Editor(typeof(System.Web.UI.Design.UrlEditor), typeof(UITypeEditor))]
        public string Ajay
        {
            get
            {
                String s = (String)ViewState["Ajay"];
                return ((s == null) ? String.Empty : s);
            }

            set
            {
                ViewState["Ajay"] = value;
            }
        }

        protected override void RenderContents(HtmlTextWriter output)
        {
            output.Write(Ajay);
        }
    }
}
